Skip to main content

STU3 Patient

The Patient resource describes the "demographics and other administrative information about an individual or animal receiving care or other health-related services." HL7 FHIR STU3 Patient

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API Patient resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatar----
myEvolv----
myUnity----
info

Not all Netsmart solutions support Patient search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
_ididUnique identifier of the Patient. Cannot be used with other search parameters.
givenStringA portion of the given name of the patient.
familyStringA portion of the family name of the patient.

Custom Parameters

NameTypeDescription
enddateDate/time of death.
startdateDate/time of birth.
textStringSearch text.

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by id
curl -X POST https://fhir.netsmartcloud.com/fhir/Patient/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "_id=87"
Via GET
Search by id
curl -X GET "https://fhir.netsmartcloud.com/fhir/Patient?_id=87" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"